summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@debian.org>2017-07-18 00:22:24 +0200
committerMattia Rizzolo <mattia@debian.org>2017-07-18 00:22:24 +0200
commitd019f87ad014ed546e805520d65fd2596776eb5e (patch)
tree75e7dfc1001ee9bf4eb21491d6153827d4d0588f /bin/chroot-run.sh
parent87f8632536c800f8e6d0a3a64a035356023df190 (diff)
downloadjenkins.debian.net-d019f87ad014ed546e805520d65fd2596776eb5e.tar.xz
chroot-run: another case when to retry debootstrap…
Signed-off-by: Mattia Rizzolo <mattia@debian.org>
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index abf70f31..e776043d 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -68,7 +68,7 @@ bootstrap() {
echo "$(date -u ) - bootstraping $DISTRO into $CHROOT_TARGET now."
set +e
sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
- local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true )
+ local RESULT=$(egrep "E: (Couldn't download (packages|dists)|Invalid Release signature)" $TMPLOG || true )
rm $TMPLOG
set -e
if [ ! -z "$RESULT" ] ; then